Highlighted

NEEDING HELP URGENT WITH ADOBE GAMECENTER 64 bit ANE

Explorer ,
Mar 31, 2015

Copy link to clipboard

Copied

Please guys, i'm needing ao much help with this ane... I'm using adobe flash CS6 with the last update. My problem is when i try to build ipa with gamecenter 64bit ane and productstore 64 bit ane delivered from adobe. I always get libgamecenter.a and libproductstore.a are required... But insine ane/meta-.../ there is a libxx.a file... I tried to do all and nothing works and i realized that if I create a new file, and try to use this anes i get another error in CS6 telling that temp files are not found as ABC (something like this).

i'm needing this to much because i'm finishing my game to publish...

please if you know how to fix it help me.

try to move your project to C:\myapp\

TOPICS
Development

Views

1.5K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

NEEDING HELP URGENT WITH ADOBE GAMECENTER 64 bit ANE

Explorer ,
Mar 31, 2015

Copy link to clipboard

Copied

Please guys, i'm needing ao much help with this ane... I'm using adobe flash CS6 with the last update. My problem is when i try to build ipa with gamecenter 64bit ane and productstore 64 bit ane delivered from adobe. I always get libgamecenter.a and libproductstore.a are required... But insine ane/meta-.../ there is a libxx.a file... I tried to do all and nothing works and i realized that if I create a new file, and try to use this anes i get another error in CS6 telling that temp files are not found as ABC (something like this).

i'm needing this to much because i'm finishing my game to publish...

please if you know how to fix it help me.

try to move your project to C:\myapp\

TOPICS
Development

Views

1.5K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Mar 31, 2015 1
Community Beginner ,
Mar 31, 2015

Copy link to clipboard

Copied

Wich version of AIR are you using ?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2015 0
Adobe Employee ,
Mar 31, 2015

Copy link to clipboard

Copied

Hi Decco

Could you please try the latest AIR SDK with the updated Gaming SDK ANEs we shared here : http://www.adobe.com/devnet/air/articles/gaming-sdk-anes-64-bit-support.html ?

Thanks,

Abhinav

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2015 0
Explorer ,
Mar 31, 2015

Copy link to clipboard

Copied

https://forums.adobe.com/people/Abhinav%20Dhandh

Do you have any suggetion to solve my problem????

I´m needing to much this help..

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2015 0
Community Beginner ,
Apr 02, 2015

Copy link to clipboard

Copied

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2015 0
Explorer ,
Apr 02, 2015

Copy link to clipboard

Copied

‌thanks for trying... But he is using flash builder... I did all my project in Flash Professional CS6 and i dont know how to convert to flash builder project... Otherwise, my problem begun with new update of ios requirements. Before it i had my game fully working with adobe ane. I repeat, my problem is that when i try to build the app i got libgamecenter.a and libproductstore.a errir saying that they are rrquired to have universal support. Otherwise i realize that i cant build a new blank app using this ane becaude i get abc temp files not found, but flash creates the folder in the place i told it to output app. Libxx.a error either appears in Flash Profesional CC using adobe air 17.0.0.138. I'm using a Windows Version of Flash CS6 and CC. I dont tried in MAC OS.

I realized other bug. When i try to simulate mu app in flash simulator i got an error saying that com.adobe.gamecenter are duplicated and the simulator not open.

I'll try to build in MAC OS and tell you all if solved.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2015 0
Community Beginner ,
Apr 02, 2015

Copy link to clipboard

Copied

Do you use other ANE ? Did you try with AIR 16 ?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2015 0
Explorer ,
Apr 02, 2015

Copy link to clipboard

Copied

‌i'm using admob ane, productstore ane, gamecenter ane, social ane. And o tried with adobe air 16 beta 1 if i'm not wrong. with it works greatly but there is no support for 64bit. When i submit to itunes connect i got error saying that 64 bit is required

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2015 0
Community Beginner ,
Apr 02, 2015

Copy link to clipboard

Copied

If i'm not wrong 64 bits support was introduct with AIR 16. Are you sure that all your ANE have 64 bits support ?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2015 1
Explorer ,
Apr 02, 2015

Copy link to clipboard

Copied

all my anes are 64bit and gamecenter and productstore shared by Abhinav... And i dont know if adobe air 16 has 64but support i just know that when i build app and submit to itunes connect i get error about 64 bit

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2015 0
Explorer ,
Mar 31, 2015

Copy link to clipboard

Copied

Christalys i'm using air 17.0.0.138

Abhinav Dhandh, i alteady sent a private message to you because i'm using your anes but still getting libxxx.a error

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Mar 31, 2015 0
Explorer ,
Apr 02, 2015

Copy link to clipboard

Copied

‌i just cant know why nobody helps me or even says me something to try to do... i dint even know if this is happening only with me... Please adobe helps me with this problem, I know you can...

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2015 0
Explorer ,
Apr 07, 2015

Copy link to clipboard

Copied

Can´t anybody helps me?? I´m needing so much help. Pls what can i do to solve this all?

Using Air 16.0.0.222 i got this error in Itunes:

"Dear developer,

We have discovered one or more issues with your recent delivery for "MaxCliks". To process your delivery, the following issues must be corrected:

Missing 64-bit support - Beginning on February 1, 2015 new iOS apps submitted to the App Store must include 64-bit support and be built with the iOS 8 SDK. Beginning June 1, 2015 app updates will also need to follow the same requirements. To enable 64-bit in your project, we recommend using the default Xcode build setting of “Standard architectures” to build a single binary with both 32-bit and 64-bit code."

When i try to Simulate my app using Flash Player Simulator (Ctrl + Enter) I get this error - "The content cannot be loaded because there was a problem loading an extension: Error: Duplicate platform iPhone-ARM found for extension com.adobe.ane.gameCenter".

Using Air 17.0.0.138:

erro1.png

Using Air 17.0.0.138 creating a new test file using only adobe Gamecenter 64bit shared by Abhinav Dhandh:erro2.png

Using Air 16.0.0.222 i can build ipa but can´t submit. Can someone helps me pls i´m needing this too much!!!

Since now thanks!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 07, 2015 0
Adobe Employee ,
Apr 08, 2015

Copy link to clipboard

Copied

Hi Decco

We haven't seen the compile-abc error with the ANEs which we have shared on the devnet article.

Could you please share a sample code with us, in which the issue is reproducible?

Thanks,

Abhinav

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 08, 2015 0
Explorer ,
Apr 08, 2015

Copy link to clipboard

Copied

Don´t matter what sample code i use, even if i don´t use any sample code, just try to save and build ipa using or not using any ANE i get compile-abc error. But in my game that was saved before, i just get libxxx.a error.

I´m desperate, because my game is stopped and i can´t build. I have finished my game to android but to ios i can´t.

I have already tried to uninstall and reinstall the Adobe Flash CS6, and tried to Install Adobe Flash CC but nothing happens. I always get the same error

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 08, 2015 0
Advocate ,
Apr 09, 2015

Copy link to clipboard

Copied

try to move your project to C:\myapp\

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 09, 2015 1
Explorer ,
Apr 10, 2015

Copy link to clipboard

Copied

I really don´t know why but change my app to C:/myapp/ and setting all ANE files in this directory and all my project as splash screens and sounds all works greatly... Thanks to all, specially to Anton Azarov for help me...

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 10, 2015 0
New Here ,
Apr 09, 2015

Copy link to clipboard

Copied

I was also having facing like yours. I'm using FlashDevelop and it was a while ago, so I might not remember exactly how it was. But I had a problem when trying to package the ipa (I was using old 32bit gaming SDK) when I updated to the 64bits ANE it solved and I could package and upload the ipa to itunes connect. But it was impossible to test on Flashdevelop, or to package the apk for Android. (which didn't happen with 32bits version).

In the end I had to keep both ANEs (the old one and the updated one). When packaging the IPA I use the new 64bit one. For everything else I use the old one. I keep them in separate folders and just include the right folder in the right time like:

adl  -screensize %SCREEN_SIZE% %APP_XML% %APP_DIR% -extdir anes86/

or

call adt -package -target %TYPE%%TARGET% %OPTIONS% %SIGNING_OPTIONS% %OUTPUT% %APP_XML% %FILE_OR_DIR% -extdir %ANE_DIR%

where %ANE_DIR% indicates 32 or 64

I'm using Air 14. Air 16 gives me: error while loading initial content (which seems to be a Run.bat message)

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 09, 2015 0
Community Beginner ,
Apr 13, 2015

Copy link to clipboard

Copied

Same issue here if I try to use adobe gamecenter ane it throws error libgamecenter.a and libproductstore.a are required.

I Tried newest gaming sdk and Gaming SDK ANEs - Universal 64-bit support | Adobe Developer Connection

They seem to be different at least if you look in META-INF/ane/extension.xml but none of them work...

Config:

Adobe flash professional cc 13

air sdk 17.0.0.138

windows 7


I do use other anes and I know how to add them.... Vibration.ane works just fine.


Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 13, 2015 0